#include <iostream>
#include <cmath>

using namespace std;

int main() {
	int a, b, x, y;
	cin >> a >> b >> x >> y;
	if (a >= x && b >= y && a >= 0 && b >= 0 && x >= 0 && y >= 0) {
		if (a == x && b == y) {
			cout << "nijedan";
		}
		if (a == x && b > a && y < b) {
			cout << "drugi";
		}
		if (b == y && a > b && x < a) {
			cout << "prvi";
		}
		if (x < a && y < b) {
			cout << "?";
		}
}
	return 0;
}